<?xml version="1.0"?>
<xsl:stylesheet version="1.0" 
    xmlns:xsl="http://www.w3.org/TR/WD-xsl" 
    xmlns:xslt="http://www.w3.org/1999/XSL/Transform"
    xmlns="http://www.w3.org/TR/REC-html40" 
    result-ns="">

	<xsl:template match="/">
		<xsl:apply-templates select="FDT"/>
		<B>2. Application Area<HR/>
	3. Operating Mode and System Structure<HR/>
	4. Input<HR/>
	5. Output<HR/>
	6. Characteristics<HR/>
	7. Operating Condition<HR/>
	8. Mechanical Design<HR/>
	9. Display and Control Interface <HR/>
	10. Auxiliary Supply<HR/>
	11. Certificates and Approvals<HR/>
	12. Ordering Information<HR/>
	13. External Standards and Technical Specifications<HR/>
	14. Device Variables</B>
	<BR/>
			<div>
				<TABLE>
				   <xsl:apply-templates select="FDT/DocumentVariable"/>
				</TABLE>
				<br/>
				<dl>
					<xsl:for-each select="FDT/DocumentVariables">
					    <dt>  <b> <xsl:value-of select="@fdt:name"/> </b><br/></dt>
						<dd>
						<div>
							<table>
							<xsl:apply-templates select="DocumentVariable"/>
							</table>

							<xsl:apply-templates select="DocumentVariables"/>
		        		</div>
		        		</dd>
					</xsl:for-each>
				</dl>
			</div>
		<HR/>
		<xsl:apply-templates select="FDT/DTMStyleForCompleteDocument"/>
		<xsl:apply-templates select="FDT/DTMSpecificXMLData"/>
	</xsl:template>

    <xsl:template match="DocumentVariables">
	 <dl>
		<dt>  <b>
		   	<xsl:value-of select="@fdt:name"/> </b><br/></dt>
			<xsl:if test="./GraphicReference">
     			<IMG>
					<xsl:attribute name="SRC">
							<xsl:value-of select="./GraphicReference/@path"/>
					</xsl:attribute>
					<xsl:attribute name="width">200</xsl:attribute>
				</IMG>
			</xsl:if>
		<dd><div>
       		<table>
       			<xsl:apply-templates select="DocumentVariable"/>
    	   </table>
	       <xsl:apply-templates select="DocumentVariables"/>
        </div>
        </dd>
      </dl>
      <br/>
    </xsl:template>

	<xsl:template match="DocumentVariable">
		<TR>
			<TD>
				    <xsl:value-of select="@fdt:name"/>
			</TD>
			<TD>&#160;</TD>
		</TR>
		<TR>
			<TD>&#160;</TD>
			<TD>
				<TABLE>
					<TR>
						<TD>Value:</TD>
						<TD>
							<xsl:value-of select="@fdt:display"/>
						</TD>
						<TD>State:</TD>
						<TD>
							<xsl:value-of select="@fdt:statusFlag"/>
						</TD>
					</TR>
					<TR>
						<TD>
							<BR/>
						</TD>
					</TR>
					<TR>
						<TD>Descriptor:</TD>
						<TD>
							<xsl:value-of select="@fdt:descriptor"/>
						</TD>
					</TR>
					<xsl:if test="fdt:Unit">
						<xsl:apply-templates select="fdt:Unit"/>
					</xsl:if>
					<xsl:if test="fdt:Ranges">
						<xsl:apply-templates select="fdt:Ranges"/>
					</xsl:if>
				</TABLE>
			</TD>
		</TR>
		<TR>
			<TD>
				<HR/>
			</TD>
			<TD>
				<HR/>
			</TD>
		</TR>
	</xsl:template>
	<xsl:template match="fdt:Unit">
		<TR>
			<TD>
				<BR/>
			</TD>
		</TR>
		<TR>
			<TD>Unit:</TD>
			<TD>
				<xsl:value-of select="./fdt:EnumeratorVariable/fdt:Variable/fdt:EnumeratorEntry/@name"/>
			</TD>
		</TR>
		<TR>
			<TD>Unit Descriptor:</TD>
			<TD>
				<xsl:value-of select="./fdt:EnumeratorVariable/fdt:Variable/fdt:EnumeratorEntry/@descriptor"/>
			</TD>
		</TR>
	</xsl:template>
	<xsl:template match="fdt:Ranges">
		<TR>
			<TD>
				<BR/>
			</TD>
		</TR>
		<TR>
			<TD>Ranges</TD>
		</TR>
		<TR>
			<TD>Lower Value:</TD>
			<TD>
				<xsl:value-of select="./fdt:Range/fdt:LowerRange/fdt:NumberData/@number"/>
			</TD>
		</TR>
		<TR>
			<TD>Upper Value:</TD>
			<TD>
				<xsl:value-of select="./fdt:Range/fdt:UpperRange/fdt:NumberData/@number"/>

			</TD>
		</TR>
	</xsl:template>
	<xsl:template match="FDT/DTMStyleForCompleteDocument">
		<B>15. Additional Vendor specific Documentation</B>
		<BR/>
		<xsl:value-of select="."/>
		<HR/>
	</xsl:template>
	
	<xsl:template match="FDT">
		<TABLE width="100%">
			<TR>
				<TD width="100%" valign="bottom">
					<H2>FDT Device Documentation</H2>
				</TD>
				<TD width="120">
					<IMG SRC="fdtlogo.gif" width="100" height="100"/>
				</TD>
			</TR>
			<TR>
				<TD>
					<H1>
						<xsl:value-of select="@title"/>
					</H1>
				</TD>
			</TR>
		</TABLE>
		<HR/>
		<B>1. Identification</B>
		<BR/>
		<TABLE>
			<TR>
				<TD>
					<TABLE>
						<TR>
							<TD>Manufacturer:</TD>
							<TD>
								<xsl:value-of select="@dtmi:manufacturerId"/>
							</TD>
						</TR>
						<TR>
							<TD>Classification:</TD>
							<TD>
								<xsl:value-of select="@fdt:classificationId"/>
							</TD>
						</TR>
						<TR>
							<TD>Device Type:</TD>
							<TD>
								<xsl:value-of select="@dtmi:deviceTypeId"/>
							</TD>
						</TR>
						<TR>
							<TD>Device Type Information:</TD>
							<TD>
								<xsl:value-of select="@dtmi:deviceTypeInformation"/>
							</TD>
						</TR>
						<TR>
							<TD>Date:</TD>
							<TD>
								<xsl:value-of select="@fdt:date"/>
							</TD>
						</TR>
						<TR>
							<TD>Descriptor:</TD>
							<TD>
								<xsl:value-of select="@fdt:descriptor"/>
							</TD>
						</TR>
						<TR>
							<TD>
								<BR/>
							</TD>
						</TR>
						<TR>
							<TD>Version:</TD>
							<TD>
								<xsl:value-of select="fdt:VersionInformation/@name"/>
							</TD>
						</TR>
						<TR>
							<TD>Vendor:</TD>
							<TD>
								<xsl:value-of select="fdt:VersionInformation/@vendor"/>
							</TD>
						</TR>
						<TR>
							<TD>Version's version:</TD>
							<TD>
								<xsl:value-of select="fdt:VersionInformation/@version"/>
							</TD>
						</TR>
						<TR>
							<TD>Version's date:</TD>
							<TD>
								<xsl:value-of select="fdt:VersionInformation/@date"/>
							</TD>
						</TR>
						<TR>
							<TD>Version's descriptor:</TD>
							<TD>
								<xsl:value-of select="fdt:VersionInformation/@descriptor"/>
							</TD>
						</TR>
					</TABLE>
				</TD>
				<TD width="400" align="right">
				  <xsl:if test="DocumentVariables/GraphicReference">
					<IMG>
						<xsl:attribute name="SRC">
							<xsl:value-of select="DocumentVariables/GraphicReference/@path"/>
						</xsl:attribute>
						<xsl:attribute name="width">200</xsl:attribute>
					</IMG>
				  </xsl:if>
				</TD>
			</TR>
		</TABLE>
		<HR/>
	</xsl:template>
</xsl:stylesheet>
